import http from "@/http/http.js";
let baseUrl = "/api/web/auth/accessAuth/springBoard";

//获取短信验证码
export function getVerifyCode(phone) {
    return http.post(baseUrl, {
        actionType: "getVerifyCode",
        actionBody: {
            mobile: phone // Y 手机号
        }
    });
}

//验证码登录
export function userPinByLgoinVcode(params) {
    return http.post(baseUrl, {
        actionType: "userPinByLgoinVcode",
        actionBody: params
    });
}

//账号密码登录
export function userPinByLgoin(params) {
    return http.post(baseUrl, {
        actionType: "userPinByLgoin",
        actionBody: params
    });
}

//用户注册
export function userPinByRegister(params) {
    return http.post(baseUrl, {
        actionType: "userPinByRegister",
        actionBody: params
    });
}